# Interface IMTextEntity

Represents a DXF MTEXT (multiline text) entity.

interface IMTextEntity {
attachmentPoint?: number;
height?: number;
position: DxfPoint;
rotation?: number;
string?: string;
tag?: string;
text?: string;
width?: number;
}

#### Hierarchy

- IEntity
  - IMTextEntity

#####
Index

### Properties

attachmentPoint?
height?
position
rotation?
string?
tag?
text?
width?

##
Properties

### `Optional` attachmentPoint

attachmentPoint?: number

Attachment point for text alignment.

### `Optional` height

height?: number

Text height.

### position

position: DxfPoint

Position of the text insertion point.

### `Optional` rotation

rotation?: number

Rotation angle of the text in degrees.

### `Optional` string

string?: string

Optional string content (alternative key).

### `Optional` tag

tag?: string

Attribute tag associated with the text.

### `Optional` text

text?: string

Text content.

### `Optional` width

width?: number

Width of the multiline text block.